Bug 495420 - Review Request: rapid-photo-downloader - Images downloader for external devices
Review Request: rapid-photo-downloader - Images downloader for external devices
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 18:20 EDT by Fabian Affolter
Modified: 2009-05-28 03:57 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.0.8-3.b7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 19:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
felix: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-04-12 18:20:21 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/rapid-photo-downloader.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/rapid-photo-downloader-0.0.8-1.b7.fc10.src.rpm

Project URL: http://damonlynch.net/rapid/

Description:
Rapid Photo Downloader is written by a photographer for professional
and amateur photographers. Released under the GNU GPL license, it is
designed for use on the GNOME 2 Desktop. It can download photos from
multiple memory cards and Portable Storage Devices simultaneously. It
provides a variety of options for sub-folder creation, image renaming
and backup.
It does not download images directly from a camera unless the camera
is recognized as an external drive.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1292914

rpmlint output:
[fab@laptop24 noarch]$ rpmlint rapid-photo-downloader-0.0.8-1.b7.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop24 SRPMS]$ rpmlint rapid-photo-downloader-0.0.8-1.b7.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 2 Felix Kaechele 2009-04-26 08:07:05 EDT
So here's my review:

Here's what I checked and what is OK:

source files match upstream:
    41d7fb2afe921ec82e040773757d0b1c6257285c  rapid-photo-downloader-0.0.8~b7.tar.gz
    41d7fb2afe921ec82e040773757d0b1c6257285c  ../SOURCES/rapid-photo-downloader-0.0.8~b7.tar.gz
package meets naming and versioning guidelines.
specfile is properly named, is cleanly written and uses macros consistently.
dist tag is present.
build root is correct.
license is open source-compatible: GPLv2+
license text not included upstream.
latest version is being packaged.
BuildRequires are proper.
compiler flags are appropriate.
%clean is present.
package builds in mock.
package installs properly.
rpmlint is silent.
final provides and requires are sane:
    [felix@polaris result]$ rpm -q --provides rapid-photo-downloader
    rapid-photo-downloader = 0.0.8-2.b7.fc11
    [felix@polaris result]$ rpm -q --requires rapid-photo-downloader
    /usr/bin/python  
    gnome-python2  
    gnome-python2-gconf  
    gtk2  
    hicolor-icon-theme  
    notify-python  
    pyexiv2  
    pygtk2  
    python(abi) = 2.6
    rpmlib(CompressedFileNames) <= 3.0.4-1
    rpmlib(FileDigests) <= 4.6.0-1
    rpmlib(PartialHardlinkSets) <= 4.0.4-1
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
no shared libraries are added to the regular linker search paths.
owns the directories it creates.
doesn't own any directories it shouldn't.
no duplicates in %files.
file permissions are appropriate.
code, not content.
documentation is small, so no -docs subpackage is necessary.
%docs are not necessary for the proper functioning of the package.
no headers.
no pkgconfig files.
no libtool .la droppings.
desktop files valid and installed properly.

Here's what I found what seems do need some work:
license field matches the actual license: the spec says GPLv2 but the code seems to be GPLv2+ since no specific requirements are mentioned that it is v2 only
the spec installs icons but the icon cache is not updated. See https://fedoraproject.org/wiki/Packaging:ScriptletSnippets

As soon as these problems are addressed I'll approve the package.
Comment 3 Fabian Affolter 2009-04-26 09:08:28 EDT
Felix, thanks for your time to make this review.

(In reply to comment #2)
> license field matches the actual license: the spec says GPLv2 but the code
> seems to be GPLv2+ since no specific requirements are mentioned that it is v2
> only

The license is GPLv2+ (mentioned in the source headers)

> the spec installs icons but the icon cache is not updated. See
> https://fedoraproject.org/wiki/Packaging:ScriptletSnippets

fixed

Updated files:

Spec URL:
http://fab.fedorapeople.org/packages/SRPMS/rapid-photo-downloader.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/rapid-photo-downloader-0.0.8-3.b7.fc10.src.rpm
Comment 4 Felix Kaechele 2009-04-26 09:50:14 EDT
Since the errors mentioned have been fixed this Package is APPROVED by me.
Comment 5 Fabian Affolter 2009-04-26 10:49:41 EDT
New Package CVS Request
=======================
Package Name: rapid-photo-downloader
Short Description: Images downloader for external devices
Owners: fab
Branches: F-9 F-10 F-11
InitialCC:
Comment 6 Kevin Fenzi 2009-04-27 01:29:35 EDT
cvs done.
Comment 7 Fabian Affolter 2009-04-27 10:53:13 EDT
Thanks for the review and the cvs stuff.
Comment 8 Fedora Update System 2009-04-27 11:14:46 EDT
rapid-photo-downloader-0.0.8-3.b7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rapid-photo-downloader-0.0.8-3.b7.fc9
Comment 9 Fedora Update System 2009-04-27 11:14:51 EDT
rapid-photo-downloader-0.0.8-3.b7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rapid-photo-downloader-0.0.8-3.b7.fc11
Comment 10 Fedora Update System 2009-04-27 11:14:56 EDT
rapid-photo-downloader-0.0.8-3.b7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rapid-photo-downloader-0.0.8-3.b7.fc10
Comment 11 Fedora Update System 2009-04-27 17:21:26 EDT
rapid-photo-downloader-0.0.8-3.b7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update rapid-photo-downloader'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3923
Comment 12 Fedora Update System 2009-04-27 17:39:26 EDT
rapid-photo-downloader-0.0.8-3.b7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rapid-photo-downloader'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4051
Comment 13 Fedora Update System 2009-05-09 00:25:33 EDT
rapid-photo-downloader-0.0.8-3.b7.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rapid-photo-downloader'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4657
Comment 14 Fedora Update System 2009-05-15 19:30:15 EDT
rapid-photo-downloader-0.0.8-3.b7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-15 19:35:50 EDT
rapid-photo-downloader-0.0.8-3.b7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-05-28 03:57:28 EDT
rapid-photo-downloader-0.0.8-3.b7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.